Subject: Confusion with mm library configuration!

From: "Bryan Ko" <[email-masked]>
Date: Tue, 12 Nov 2002 14:06:47 +0800

Hello all,

I am trying to install the mod_ssl and the mm library and below is my goal:
1. Install Apache 1st without mod_ssl.
2. Enable mm library.
3. Install mod_ssl as a shared object.

I have installed mm libraray. The next step I may do is:
cd /path/mod_ssl_xxx
./configure --apache=../apache_xxx --with-eapi-only
cd /path/apache_xxx
EAPI_MM=SYSTEM
./configure --enable-rule=EAPI \
... some more configuration
make && make install

My question is do I have to specify "--with-mm" again when I make 
mod_ssl, do I have to specify "--with-mm" again when making other 
modules like mod_php??? Is the mm support need to build both in 
apache itself and its modules???

Thanks in advance... and please forgive my poor English =)

Regards,
Bryan